Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch
Class TouchMoveEvent

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.google.gwt.event.dom.client.DomEvent<H>
              com.maryanovsky.gwtutils.client.iphone.ui.touch.TouchEvent<TouchMoveHandler>
                  com.maryanovsky.gwtutils.client.iphone.ui.touch.TouchMoveEvent

All Implemented Interfaces:
  HasNativeEvent

    public class TouchMoveEvent

extends TouchEvent<TouchMoveHandler>

Represents a touch move event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent
`DomEvent.Type<H extends EventHandler>`

Constructor Summary
`protected` | `TouchMoveEvent()` Protected constructor.

Method Summary
`protected void` | `dispatch(TouchMoveHandler handler)` Dispatches the event to the handler.
`DomEvent.Type<TouchMoveHandler>` | `getAssociatedType()` Returns the event type associated with touch move events.
`static DomEvent.Type<TouchMoveHandler>` | `getType()` Returns the event type associated with touch move events.
`static void` | `sinkTouchMoveEvents(UIObject widget)` Sinks touch move events for the specified `UIObject`.
`static void` | `unsinkTouchMoveEvents(UIObject widget)` Stops sinking touch move events for the specified `UIObject`.

Methods inherited from class com.maryanovsky.gwtutils.client.iphone.ui.touch.TouchEvent
`getChangedTouches, getNativeTouchEvent, getTargetCoordinates, getTargetTouches, getTouches, sinkAllTouchEvents, unsinkAllTouchEvents`

Methods inherited from class com.google.gwt.event.dom.client.DomEvent
`fireNativeEvent, fireNativeEvent, getNativeEvent, getRelativeElement, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TouchMoveEvent

    protected TouchMoveEvent()

  Protected constructor.

Method Detail

### getType

    public static DomEvent.Type<TouchMoveHandler> getType()

  Returns the event type associated with touch move events.

### getAssociatedType

    public DomEvent.Type<TouchMoveHandler> getAssociatedType()

  Returns the event type associated with touch move events.

  Overrides:
    `getAssociatedType` in class `DomEvent<TouchMoveHandler>`

### dispatch

    protected void dispatch(TouchMoveHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<TouchMoveHandler>`

### sinkTouchMoveEvents

    public static void sinkTouchMoveEvents(UIObject widget)

  Sinks touch move events for the specified `UIObject`.

### unsinkTouchMoveEvents

    public static void unsinkTouchMoveEvents(UIObject widget)

  Stops sinking touch move events for the specified `UIObject`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD